

Consolidate, clean up and fix the declaration of saved_command_line[]:

- It is defined in init/main.h

- It is declared in <linux/moduleparam.h>

- Its size is per-arch, defined in <asm/setup.h>:COMMAND_LINE_SIZE


---

 25-akpm/arch/alpha/kernel/setup.c           |    2 ++
 25-akpm/arch/arm/kernel/setup.c             |    1 +
 25-akpm/arch/arm26/kernel/setup.c           |    1 +
 25-akpm/arch/cris/kernel/setup.c            |    1 +
 25-akpm/arch/h8300/kernel/setup.c           |    3 ++-
 25-akpm/arch/ia64/kernel/setup.c            |    1 +
 25-akpm/arch/m68k/kernel/setup.c            |    1 +
 25-akpm/arch/m68knommu/kernel/setup.c       |    1 +
 25-akpm/arch/mips/kernel/setup.c            |    1 +
 25-akpm/arch/parisc/kernel/setup.c          |    1 +
 25-akpm/arch/ppc/kernel/setup.c             |    1 +
 25-akpm/arch/ppc/platforms/pmac_setup.c     |    3 +--
 25-akpm/arch/ppc64/kernel/eeh.c             |    2 ++
 25-akpm/arch/ppc64/kernel/pmac_setup.c      |    1 +
 25-akpm/arch/ppc64/kernel/setup.c           |    4 +++-
 25-akpm/arch/ppc64/mm/numa.c                |    2 ++
 25-akpm/arch/s390/kernel/setup.c            |    1 +
 25-akpm/arch/sh/kernel/setup.c              |    2 ++
 25-akpm/arch/sparc/kernel/setup.c           |    1 +
 25-akpm/arch/sparc/kernel/sparc_ksyms.c     |    2 +-
 25-akpm/arch/sparc64/kernel/setup.c         |    1 +
 25-akpm/arch/sparc64/kernel/sparc64_ksyms.c |    2 +-
 25-akpm/arch/um/kernel/um_arch.c            |    2 ++
 25-akpm/arch/v850/kernel/setup.c            |    1 +
 25-akpm/arch/x86_64/kernel/setup.c          |    2 ++
 25-akpm/drivers/sbus/char/openprom.c        |    2 +-
 25-akpm/fs/proc/kcore.c                     |    3 +--
 25-akpm/fs/proc/proc_misc.c                 |    2 ++
 25-akpm/include/asm-i386/setup.h            |    2 ++
 25-akpm/include/asm-ppc64/setup.h           |    1 -
 25-akpm/include/asm-um/setup.h              |    6 ++++++
 25-akpm/include/linux/moduleparam.h         |    4 ++++
 32 files changed, 50 insertions(+), 10 deletions(-)

diff -puN arch/alpha/kernel/setup.c~saved_command_line-cleanup arch/alpha/kernel/setup.c
--- 25/arch/alpha/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.685574560 -0700
+++ 25-akpm/arch/alpha/kernel/setup.c	2004-04-06 21:09:28.729567872 -0700
@@ -39,6 +39,8 @@
 #include <linux/reboot.h>
 #endif
 #include <linux/notifier.h>
+#include <linux/moduleparam.h>
+
 #include <asm/io.h>
 
 extern struct notifier_block *panic_notifier_list;
diff -puN arch/arm26/kernel/setup.c~saved_command_line-cleanup arch/arm26/kernel/setup.c
--- 25/arch/arm26/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.686574408 -0700
+++ 25-akpm/arch/arm26/kernel/setup.c	2004-04-06 21:09:28.730567720 -0700
@@ -21,6 +21,7 @@
 #include <linux/tty.h>
 #include <linux/init.h>
 #include <linux/root_dev.h>
+#include <linux/moduleparam.h>
 
 #include <asm/elf.h>
 #include <asm/hardware.h>
diff -puN arch/arm/kernel/setup.c~saved_command_line-cleanup arch/arm/kernel/setup.c
--- 25/arch/arm/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.687574256 -0700
+++ 25-akpm/arch/arm/kernel/setup.c	2004-04-06 21:09:28.731567568 -0700
@@ -21,6 +21,7 @@
 #include <linux/init.h>
 #include <linux/root_dev.h>
 #include <linux/cpu.h>
+#include <linux/moduleparam.h>
 
 #include <asm/elf.h>
 #include <asm/hardware.h>
diff -puN arch/cris/kernel/setup.c~saved_command_line-cleanup arch/cris/kernel/setup.c
--- 25/arch/cris/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.689573952 -0700
+++ 25-akpm/arch/cris/kernel/setup.c	2004-04-06 21:09:28.731567568 -0700
@@ -17,6 +17,7 @@
 #include <linux/seq_file.h>
 #include <linux/tty.h>
 #include <asm/setup.h>
+#include <linux/moduleparam.h>
 
 /*
  * Setup options
diff -puN arch/h8300/kernel/setup.c~saved_command_line-cleanup arch/h8300/kernel/setup.c
--- 25/arch/h8300/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.690573800 -0700
+++ 25-akpm/arch/h8300/kernel/setup.c	2004-04-06 21:09:28.732567416 -0700
@@ -30,6 +30,7 @@
 #include <linux/major.h>
 #include <linux/bootmem.h>
 #include <linux/seq_file.h>
+#include <linux/moduleparam.h>
 
 #include <asm/setup.h>
 #include <asm/irq.h>
@@ -160,7 +161,7 @@ void __init setup_arch(void)
 	if (*command_line == '\0')
 		strcpy(command_line,CONFIG_KERNEL_COMMAND);
 #endif
-	strlcpy(saved_command_line, command_line, sizeof(saved_command_line));
+	strlcpy(saved_command_line, command_line, COMMAND_LINE_SIZE);
 	parse_early_options();
 
 #ifdef DEBUG
diff -puN arch/ia64/kernel/setup.c~saved_command_line-cleanup arch/ia64/kernel/setup.c
--- 25/arch/ia64/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.691573648 -0700
+++ 25-akpm/arch/ia64/kernel/setup.c	2004-04-06 21:09:28.732567416 -0700
@@ -35,6 +35,7 @@
 #include <linux/serial_core.h>
 #include <linux/efi.h>
 #include <linux/initrd.h>
+#include <linux/moduleparam.h>
 
 #include <asm/ia32.h>
 #include <asm/machvec.h>
diff -puN arch/m68k/kernel/setup.c~saved_command_line-cleanup arch/m68k/kernel/setup.c
--- 25/arch/m68k/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.693573344 -0700
+++ 25-akpm/arch/m68k/kernel/setup.c	2004-04-06 21:09:28.733567264 -0700
@@ -24,6 +24,7 @@
 #include <linux/seq_file.h>
 #include <linux/module.h>
 #include <linux/initrd.h>
+#include <linux/moduleparam.h>
 
 #include <asm/bootinfo.h>
 #include <asm/setup.h>
diff -puN arch/m68knommu/kernel/setup.c~saved_command_line-cleanup arch/m68knommu/kernel/setup.c
--- 25/arch/m68knommu/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.694573192 -0700
+++ 25-akpm/arch/m68knommu/kernel/setup.c	2004-04-06 21:09:28.733567264 -0700
@@ -31,6 +31,7 @@
 #include <linux/bootmem.h>
 #include <linux/seq_file.h>
 #include <linux/root_dev.h>
+#include <linux/moduleparam.h>
 
 #include <asm/setup.h>
 #include <asm/irq.h>
diff -puN arch/mips/kernel/setup.c~saved_command_line-cleanup arch/mips/kernel/setup.c
--- 25/arch/mips/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.695573040 -0700
+++ 25-akpm/arch/mips/kernel/setup.c	2004-04-06 21:09:28.734567112 -0700
@@ -33,6 +33,7 @@
 #include <linux/root_dev.h>
 #include <linux/highmem.h>
 #include <linux/console.h>
+#include <linux/moduleparam.h>
 
 #include <asm/addrspace.h>
 #include <asm/bootinfo.h>
diff -puN arch/parisc/kernel/setup.c~saved_command_line-cleanup arch/parisc/kernel/setup.c
--- 25/arch/parisc/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.697572736 -0700
+++ 25-akpm/arch/parisc/kernel/setup.c	2004-04-06 21:09:28.734567112 -0700
@@ -37,6 +37,7 @@
 #include <linux/pci.h>
 #undef PCI_DEBUG
 #include <linux/proc_fs.h>
+#include <linux/moduleparam.h>
 
 #include <asm/processor.h>
 #include <asm/pdc.h>
diff -puN arch/ppc64/kernel/eeh.c~saved_command_line-cleanup arch/ppc64/kernel/eeh.c
--- 25/arch/ppc64/kernel/eeh.c~saved_command_line-cleanup	2004-04-06 21:09:28.698572584 -0700
+++ 25-akpm/arch/ppc64/kernel/eeh.c	2004-04-06 21:09:28.735566960 -0700
@@ -25,6 +25,8 @@
 #include <linux/rbtree.h>
 #include <linux/spinlock.h>
 #include <linux/seq_file.h>
+#include <linux/moduleparam.h>
+
 #include <asm/paca.h>
 #include <asm/processor.h>
 #include <asm/naca.h>
diff -puN arch/ppc64/kernel/pmac_setup.c~saved_command_line-cleanup arch/ppc64/kernel/pmac_setup.c
--- 25/arch/ppc64/kernel/pmac_setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.699572432 -0700
+++ 25-akpm/arch/ppc64/kernel/pmac_setup.c	2004-04-06 21:09:28.736566808 -0700
@@ -51,6 +51,7 @@
 #include <linux/irq.h>
 #include <linux/seq_file.h>
 #include <linux/root_dev.h>
+#include <linux/moduleparam.h>
 
 #include <asm/processor.h>
 #include <asm/sections.h>
diff -puN arch/ppc64/kernel/setup.c~saved_command_line-cleanup arch/ppc64/kernel/setup.c
--- 25/arch/ppc64/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.701572128 -0700
+++ 25-akpm/arch/ppc64/kernel/setup.c	2004-04-06 21:09:28.737566656 -0700
@@ -25,6 +25,8 @@
 #include <linux/version.h>
 #include <linux/tty.h>
 #include <linux/root_dev.h>
+#include <linux/moduleparam.h>
+
 #include <asm/io.h>
 #include <asm/prom.h>
 #include <asm/processor.h>
@@ -604,7 +606,7 @@ void __init setup_arch(void)
 	init_mm.brk = klimit;
 	
 	/* Save unparsed command line copy for /proc/cmdline */
-	strlcpy(saved_command_line, cmd_line, sizeof(saved_command_line));
+	strlcpy(saved_command_line, cmd_line, COMMAND_LINE_SIZE);
 	parse_early_options();
 
 	/* set up the bootmem stuff with available memory */
diff -puN arch/ppc64/mm/numa.c~saved_command_line-cleanup arch/ppc64/mm/numa.c
--- 25/arch/ppc64/mm/numa.c~saved_command_line-cleanup	2004-04-06 21:09:28.702571976 -0700
+++ 25-akpm/arch/ppc64/mm/numa.c	2004-04-06 21:09:28.737566656 -0700
@@ -14,6 +14,8 @@
 #include <linux/mm.h>
 #include <linux/mmzone.h>
 #include <linux/module.h>
+#include <linux/moduleparam.h>
+
 #include <asm/lmb.h>
 #include <asm/setup.h>
 #include <asm/abs_addr.h>
diff -puN arch/ppc/kernel/setup.c~saved_command_line-cleanup arch/ppc/kernel/setup.c
--- 25/arch/ppc/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.703571824 -0700
+++ 25-akpm/arch/ppc/kernel/setup.c	2004-04-06 21:09:28.738566504 -0700
@@ -16,6 +16,7 @@
 #include <linux/seq_file.h>
 #include <linux/root_dev.h>
 #include <linux/cpu.h>
+#include <linux/moduleparam.h>
 
 #include <asm/residual.h>
 #include <asm/io.h>
diff -puN arch/ppc/platforms/pmac_setup.c~saved_command_line-cleanup arch/ppc/platforms/pmac_setup.c
--- 25/arch/ppc/platforms/pmac_setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.705571520 -0700
+++ 25-akpm/arch/ppc/platforms/pmac_setup.c	2004-04-06 21:09:28.739566352 -0700
@@ -51,6 +51,7 @@
 #include <linux/irq.h>
 #include <linux/seq_file.h>
 #include <linux/root_dev.h>
+#include <linux/moduleparam.h>
 
 #include <asm/reg.h>
 #include <asm/sections.h>
@@ -103,8 +104,6 @@ int has_l2cache = 0;
 
 static int current_root_goodness = -1;
 
-extern char saved_command_line[];
-
 extern int pmac_newworld;
 
 #define DEFAULT_ROOT_DEVICE Root_SDA1	/* sda1 - slightly silly choice */
diff -puN arch/s390/kernel/setup.c~saved_command_line-cleanup arch/s390/kernel/setup.c
--- 25/arch/s390/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.706571368 -0700
+++ 25-akpm/arch/s390/kernel/setup.c	2004-04-06 21:09:28.740566200 -0700
@@ -36,6 +36,7 @@
 #include <linux/console.h>
 #include <linux/seq_file.h>
 #include <linux/kernel_stat.h>
+#include <linux/moduleparam.h>
 
 #include <asm/uaccess.h>
 #include <asm/system.h>
diff -puN arch/sh/kernel/setup.c~saved_command_line-cleanup arch/sh/kernel/setup.c
--- 25/arch/sh/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.707571216 -0700
+++ 25-akpm/arch/sh/kernel/setup.c	2004-04-06 21:09:28.741566048 -0700
@@ -20,6 +20,8 @@
 #include <linux/root_dev.h>
 #include <linux/utsname.h>
 #include <linux/cpu.h>
+#include <linux/moduleparam.h>
+
 #include <asm/uaccess.h>
 #include <asm/io.h>
 #include <asm/io_generic.h>
diff -puN arch/sparc64/kernel/setup.c~saved_command_line-cleanup arch/sparc64/kernel/setup.c
--- 25/arch/sparc64/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.709570912 -0700
+++ 25-akpm/arch/sparc64/kernel/setup.c	2004-04-06 21:09:28.742565896 -0700
@@ -32,6 +32,7 @@
 #include <linux/interrupt.h>
 #include <linux/cpu.h>
 #include <linux/initrd.h>
+#include <linux/moduleparam.h>
 
 #include <asm/segment.h>
 #include <asm/system.h>
diff -puN arch/sparc64/kernel/sparc64_ksyms.c~saved_command_line-cleanup arch/sparc64/kernel/sparc64_ksyms.c
--- 25/arch/sparc64/kernel/sparc64_ksyms.c~saved_command_line-cleanup	2004-04-06 21:09:28.710570760 -0700
+++ 25-akpm/arch/sparc64/kernel/sparc64_ksyms.c	2004-04-06 21:09:28.742565896 -0700
@@ -24,6 +24,7 @@
 #include <linux/socket.h>
 #include <linux/syscalls.h>
 #include <linux/percpu.h>
+#include <linux/moduleparam.h>
 #include <net/compat.h>
 
 #include <asm/oplib.h>
@@ -76,7 +77,6 @@ extern int __memcmp(const void *, const 
 extern int __strncmp(const char *, const char *, __kernel_size_t);
 extern __kernel_size_t __strlen(const char *);
 extern __kernel_size_t strlen(const char *);
-extern char saved_command_line[];
 extern void linux_sparc_syscall(void);
 extern void rtrap(void);
 extern void show_regs(struct pt_regs *);
diff -puN arch/sparc/kernel/setup.c~saved_command_line-cleanup arch/sparc/kernel/setup.c
--- 25/arch/sparc/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.712570456 -0700
+++ 25-akpm/arch/sparc/kernel/setup.c	2004-04-06 21:09:28.743565744 -0700
@@ -31,6 +31,7 @@
 #include <linux/console.h>
 #include <linux/spinlock.h>
 #include <linux/root_dev.h>
+#include <linux/moduleparam.h>
 
 #include <asm/segment.h>
 #include <asm/system.h>
diff -puN arch/sparc/kernel/sparc_ksyms.c~saved_command_line-cleanup arch/sparc/kernel/sparc_ksyms.c
--- 25/arch/sparc/kernel/sparc_ksyms.c~saved_command_line-cleanup	2004-04-06 21:09:28.713570304 -0700
+++ 25-akpm/arch/sparc/kernel/sparc_ksyms.c	2004-04-06 21:09:28.743565744 -0700
@@ -11,6 +11,7 @@
 
 #include <linux/config.h>
 #include <linux/module.h>
+#include <linux/moduleparam.h>
 #include <linux/smp.h>
 #include <linux/types.h>
 #include <linux/string.h>
@@ -74,7 +75,6 @@ extern void *__memscan_zero(void *, size
 extern void *__memscan_generic(void *, int, size_t);
 extern int __memcmp(const void *, const void *, __kernel_size_t);
 extern int __strncmp(const char *, const char *, __kernel_size_t);
-extern char saved_command_line[];
 
 extern void bcopy (const char *, char *, int);
 extern int __ashrdi3(int, int);
diff -puN arch/um/kernel/um_arch.c~saved_command_line-cleanup arch/um/kernel/um_arch.c
--- 25/arch/um/kernel/um_arch.c~saved_command_line-cleanup	2004-04-06 21:09:28.714570152 -0700
+++ 25-akpm/arch/um/kernel/um_arch.c	2004-04-06 21:09:28.744565592 -0700
@@ -17,6 +17,8 @@
 #include "linux/sysrq.h"
 #include "linux/seq_file.h"
 #include "linux/delay.h"
+#include "linux/moduleparam.h"
+
 #include "asm/page.h"
 #include "asm/pgtable.h"
 #include "asm/ptrace.h"
diff -puN arch/v850/kernel/setup.c~saved_command_line-cleanup arch/v850/kernel/setup.c
--- 25/arch/v850/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.716569848 -0700
+++ 25-akpm/arch/v850/kernel/setup.c	2004-04-06 21:09:28.745565440 -0700
@@ -20,6 +20,7 @@
 #include <linux/major.h>
 #include <linux/root_dev.h>
 #include <linux/mtd/mtd.h>
+#include <linux/moduleparam.h>
 
 #include <asm/irq.h>
 
diff -puN arch/x86_64/kernel/setup.c~saved_command_line-cleanup arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~saved_command_line-cleanup	2004-04-06 21:09:28.717569696 -0700
+++ 25-akpm/arch/x86_64/kernel/setup.c	2004-04-06 21:09:28.745565440 -0700
@@ -40,6 +40,8 @@
 #include <linux/acpi.h>
 #include <linux/kallsyms.h>
 #include <linux/edd.h>
+#include <linux/moduleparam.h>
+
 #include <asm/mtrr.h>
 #include <asm/uaccess.h>
 #include <asm/system.h>
diff -puN drivers/sbus/char/openprom.c~saved_command_line-cleanup drivers/sbus/char/openprom.c
--- 25/drivers/sbus/char/openprom.c~saved_command_line-cleanup	2004-04-06 21:09:28.718569544 -0700
+++ 25-akpm/drivers/sbus/char/openprom.c	2004-04-06 21:09:28.746565288 -0700
@@ -41,6 +41,7 @@
 #include <linux/miscdevice.h>
 #include <linux/init.h>
 #include <linux/fs.h>
+#include <linux/moduleparam.h>
 #include <asm/oplib.h>
 #include <asm/system.h>
 #include <asm/uaccess.h>
@@ -149,7 +150,6 @@ static int openprom_sunos_ioctl(struct i
 	char buffer[OPROMMAXPARAM+1], *buf;
 	struct openpromio *opp;
 	int bufsize, len, error = 0;
-	extern char saved_command_line[];
 	static int cnt;
 
 	if (cmd == OPROMSETOPT)
diff -puN fs/proc/kcore.c~saved_command_line-cleanup fs/proc/kcore.c
--- 25/fs/proc/kcore.c~saved_command_line-cleanup	2004-04-06 21:09:28.719569392 -0700
+++ 25-akpm/fs/proc/kcore.c	2004-04-06 21:09:28.747565136 -0700
@@ -18,6 +18,7 @@
 #include <linux/elfcore.h>
 #include <linux/vmalloc.h>
 #include <linux/highmem.h>
+#include <linux/moduleparam.h>
 #include <asm/uaccess.h>
 #include <asm/io.h>
 
@@ -84,8 +85,6 @@ kclist_del(void *addr)
 	return 0;
 }
 
-extern char saved_command_line[];
-
 static size_t get_kcore_size(int *nphdr, size_t *elf_buflen)
 {
 	size_t try, size;
diff -puN fs/proc/proc_misc.c~saved_command_line-cleanup fs/proc/proc_misc.c
--- 25/fs/proc/proc_misc.c~saved_command_line-cleanup	2004-04-06 21:09:28.721569088 -0700
+++ 25-akpm/fs/proc/proc_misc.c	2004-04-06 21:09:28.747565136 -0700
@@ -44,6 +44,8 @@
 #include <linux/jiffies.h>
 #include <linux/sysrq.h>
 #include <linux/vmalloc.h>
+#include <linux/moduleparam.h>
+
 #include <asm/uaccess.h>
 #include <asm/pgtable.h>
 #include <asm/io.h>
diff -puN include/asm-ppc64/setup.h~saved_command_line-cleanup include/asm-ppc64/setup.h
--- 25/include/asm-ppc64/setup.h~saved_command_line-cleanup	2004-04-06 21:09:28.722568936 -0700
+++ 25-akpm/include/asm-ppc64/setup.h	2004-04-06 21:09:28.748564984 -0700
@@ -5,7 +5,6 @@
 
 #ifndef __ASSEMBLY__
 extern char cmd_line[COMMAND_LINE_SIZE];
-extern char saved_command_line[COMMAND_LINE_SIZE];
 #endif
 
 #endif /* _PPC_SETUP_H */
diff -puN /dev/null include/asm-um/setup.h
--- /dev/null	2003-09-15 06:40:47.000000000 -0700
+++ 25-akpm/include/asm-um/setup.h	2004-04-06 21:09:28.748564984 -0700
@@ -0,0 +1,6 @@
+#ifndef SETUP_H_INCLUDED
+#define SETUP_H_INCLUDED
+
+#define COMMAND_LINE_SIZE 512
+
+#endif		/* SETUP_H_INCLUDED */
diff -puN include/linux/moduleparam.h~saved_command_line-cleanup include/linux/moduleparam.h
--- 25/include/linux/moduleparam.h~saved_command_line-cleanup	2004-04-06 21:09:28.724568632 -0700
+++ 25-akpm/include/linux/moduleparam.h	2004-04-06 21:09:28.748564984 -0700
@@ -4,6 +4,7 @@
 #include <linux/init.h>
 #include <linux/stringify.h>
 #include <linux/kernel.h>
+#include <asm/setup.h>
 
 /* You can override this manually, but generally this should match the
    module name. */
@@ -147,4 +148,7 @@ int param_array(const char *name,
 		void *elem, int elemsize,
 		int (*set)(const char *, struct kernel_param *kp),
 		int *num);
+
+extern char saved_command_line[COMMAND_LINE_SIZE];
+
 #endif /* _LINUX_MODULE_PARAM_TYPES_H */
diff -puN include/asm-i386/setup.h~saved_command_line-cleanup include/asm-i386/setup.h
--- 25/include/asm-i386/setup.h~saved_command_line-cleanup	2004-04-06 21:09:28.725568480 -0700
+++ 25-akpm/include/asm-i386/setup.h	2004-04-06 21:09:28.749564832 -0700
@@ -6,6 +6,8 @@
 #ifndef _i386_SETUP_H
 #define _i386_SETUP_H
 
+#include <asm/param.h>	/* setup.h is supposed to define COMMAND_LINE_SIZE */
+
 #define PFN_UP(x)	(((x) + PAGE_SIZE-1) >> PAGE_SHIFT)
 #define PFN_DOWN(x)	((x) >> PAGE_SHIFT)
 #define PFN_PHYS(x)	((x) << PAGE_SHIFT)

_
